Subject: 24.0.50; rcirc auto-authentication slightly broken

From: Deniz Dogan <[email-masked]>
Date: Thu, 31 Mar 2011 02:21:11 +0200

Currently when the user connects to an IRC server, rcirc checks if
`rcirc-auto-authenticate-flag' is non-nil and
`rcirc-authenticate-before-join' is non-nil.  If they are, a hook is
added to join the user's channels after successfully authenticating.

However, this is done regardless of whether the user has set up any
authinfo for the server being connected to, i.e., regardless of whether
any of the entries in `rcirc-authinfo' matches the server address.

`rcirc-handler-001' needs to be modified so that it first checks whether
the server matches any `rcirc-authinfo' entry before it decides to wait
with auto-joining channels until after authentication.

-- 
Deniz Dogan